Bug 1125134 - Not able to start glusterd
Summary: Not able to start glusterd
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: 3.4.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: GlusterFS Bugs list
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 06:40 UTC by mwistauder
Modified: 2014-09-16 04:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-16 04:37:26 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description mwistauder 2014-07-31 06:40:29 UTC
About myself:
Virtualbox
Ubuntu-Server 14.04
64-bit
glusterfs 3.4.2 built on Jan 14 2014 18:05:37

Description of problem:

After installation of glusterfs-server via apt-get, the daemon works fine.
But after 1 or 2 restarts the daemon is not running and i am not able to start it.
I tried "glusterd start", but this gives no output


Version-Release number of selected component (if applicable):



Steps to Reproduce:
1. Make a new vm of ubuntu-server-14.04 (An ubuntu 14.04 pc should also work)
2. After the installation is complete, type:
sudo apt-get install glusterfs-server
3. type:
sudo gluster volume info
This should return: "No volumes present." or something like that
4. restart the machine 1 or 2 times.
5. type:
sudo gluster volume info
This should return somthing like "Daemon not operational."
6. Try to start the daemon:
sudo glusterd start
This returns in my case nothing
7. But additionally i tried:
sudo /etc/init.d/glusterfs-server start
This returns:
* Starting glusterd ... [fail]

Regards
Martin

Comment 1 mwistauder 2014-07-31 12:48:00 UTC
Log from /var/log/glusterfs/cli.log :

[2014-07-31 12:22:38.188419] I [glusterfsd.c:1910:main] 0-/usr/sbin/glusterd: Started running /usr/sbin/glusterd version 3.4.2 (/usr/sbin/glusterd -p /var/run/glusterd.pid)
[2014-07-31 12:22:38.210374] I [glusterd.c:961:init] 0-management: Using /var/lib/glusterd as working directory
[2014-07-31 12:22:38.215906] I [socket.c:3480:socket_init] 0-socket.management: SSL support is NOT enabled
[2014-07-31 12:22:38.216136] I [socket.c:3495:socket_init] 0-socket.management: using system polling thread
[2014-07-31 12:22:38.217899] W [rdma.c:4197:__gf_rdma_ctx_create] 0-rpc-transport/rdma: rdma_cm event channel creation failed (No such device)
[2014-07-31 12:22:38.222779] E [rdma.c:4485:init] 0-rdma.management: Failed to initialize IB Device
[2014-07-31 12:22:38.222912] E [rpc-transport.c:320:rpc_transport_load] 0-rpc-transport: 'rdma' initialization failed
[2014-07-31 12:22:38.223348] W [rpcsvc.c:1389:rpcsvc_transport_create] 0-rpc-service: cannot create listener, initing the transport failed
[2014-07-31 12:22:41.163085] I [glusterd-store.c:1339:glusterd_restore_op_version] 0-glusterd: retrieved op-version: 2
[2014-07-31 12:22:41.166761] E [glusterd-store.c:1858:glusterd_store_retrieve_volume] 0-: Unknown key: brick-0
[2014-07-31 12:22:41.620557] E [glusterd-store.c:2487:glusterd_resolve_all_bricks] 0-glusterd: resolve brick failed in restore
[2014-07-31 12:22:41.620803] E [xlator.c:390:xlator_init] 0-management: Initialization of volume 'management' failed, review your volfile again
[2014-07-31 12:22:41.620886] E [graph.c:292:glusterfs_graph_init] 0-management: initializing translator failed
[2014-07-31 12:22:41.620963] E [graph.c:479:glusterfs_graph_activate] 0-graph: init failed
[2014-07-31 12:22:41.622019] W [glusterfsd.c:1002:cleanup_and_exit] (-->/usr/sbin/glusterd(main+0x3df) [0x7f5f88e5a8df] (-->/usr/sbin/glusterd(glusterfs_volumes_init+0xb0) [0x7f5f88e5d6d0] (-->/usr/sbin/glusterd(glusterfs_process_volfp+0x103) [0x7f5f88e5d5e3]))) 0-: received signum (0), shutting down

Comment 2 Atin Mukherjee 2014-09-05 05:06:28 UTC
It is really difficult to make anything from the steps you have mentioned, Can you please reverify the steps? Also we would require glusterd logs here.

Comment 3 Anoop C S 2014-09-05 05:38:00 UTC
Check if you were having previous volumes. If so, you will see a directory with previous volume name under /var/lib/glusterd/vols/.

Comment 4 mwistauder 2014-09-15 15:39:49 UTC
Hallo and sry for my late answer.

First, i have had no previous volumes.
Second, i am not working with glusterFS anymore, because my research about it already ended and i am very busy at school, so i dont have much time to work on that bug in my freetime.

I apologize that i cant help anymore, but the bug seems to be pretty random on ubuntu-14.04.
On 2 of 6 testing environments, it didnt worked anymore after 1 or 2 restart.

I wish you good luck and have a nice week
Regards, Martin

Comment 5 Atin Mukherjee 2014-09-16 04:37:26 UTC
Closing this bug, please re-open it with all log files if you hit it again.


Note You need to log in before you can comment on or make changes to this bug.